{% extends 'base_page.html' %}

{% block title %} Create/Edit {% endblock %}

{% block content %}
    <h1>Create new/Edit article</h1>

    <div class="form_post">
        <form class="form"
              action="{{ "/post/{}/edit".format(post.id) if editing else "/add-post" }}"
              method="POST">
            <label class="form__label">
                Title <br>
                <input type="text" name="title" class="form__input" value="{{ post.title if editing else "" }}">
            </label>
            <label class="form__label">
                Text <br>
                <textarea name="text" class="form__input_area">{{ post.text if editing else "" }}</textarea>
            </label>
            <label class="form__label">
                Images (1 row = 1 url) <br>
                <textarea name="images" class="form__input_area">{%  if editing %}{% for image in post.images %}{{ image.url + "\n" }}{% endfor %}{% endif %}</textarea>
            </label>
            <input type="submit" value="Submit" class="button">
        </form>
    </div>
{% endblock %}
